`misclassificationrate` <-
  function(y, yp){
    tb<-table(y,yp)
    1-sum(diag(tb))/sum(tb)
  }

logloss <- function(y, pr) {
    eps <- 1e-15;
    nr <- nrow(pr)
    pr <-  matrix(sapply(pr, function(x) max(eps,x)), nrow = nr)
    pr <- matrix(sapply(pr, function(x) min(1-eps,x)), nrow = nr)
    -sum(y*log(pr) + (1-y)*log(1-pr))/nrow(y)
  }


