yh_kNN <- function(dfTr, dfTe,
                   method=c("LOOCV", "MLE", "NN")) {
  method<- match.arg(method)
  p <- ncol(dfTr)-1
  X <- dfTr[,1:p]
  y <- dfTr[,p+1]
  Xte <- dfTe[,1:p]
  yte <- dfTe[,p+1]
  kOpt <- switch(method,
            LOOCV = kNN_LOOCV(X, y),
            MLE = kNN_MLE(X, y),
            NN = 1)
  yp <- class::knn(X, Xte, y, k=kOpt)
  misclassificationrate(yte, yp)
}

yh_NN <- function(dfTr, dfTe) {
  p <- ncol(dfTr)-1
  X <- dfTr[,1:p]
  y <- dfTr[,p+1]
  Xte <- dfTe[,1:p]
  yte <- dfTe[,p+1]
  yp <- class::knn1(train=X, test=Xte, cl=y)
  misclassificationrate(yte, yp)
}


