\name{rmix}
\alias{rmix}

\title{
Random Mixture Classification Example
}
\description{
Generates a random mixture for binary class prediction with output variable
green and red factors
and with two inputs x1 and x2.
}
\usage{
rmix(n = 100)
}

\arguments{
  \item{n}{
Sample size, should be even number, n/2 green and n/2 red.
}
}
\details{
see HTF
}
\value{
dataframe with columns x1, x2, y
}
\references{
HTF
}

\author{
A. I. McLeod
}


\examples{
mdf <- rmix(200)
gr <- mdf[mdf$y=="green",]
rd <- mdf[mdf$y=="red",]
with(mdf, {plot(x1, x2, type="n")
  points(gr, col="green")
  points(rd, col="red")
  })
}

\keyword{ models }
\keyword{ classif }
\keyword{ datagen }

