\name{yh_kNN}
\alias{yh_kNN}
\alias{yh_NN}


\title{kNN or NN prediction}

\description{
Given training data and test examples, the kNN predictions for the test data are produced.
The tuning parameter k is automatically selected by specifying one of the
methods: LOOCV, MLE or NN.
}
\usage{
yh_kNN(dfTr, dfTe, method = c("LOOCV", "MLE", "NN"))
}

\arguments{
  \item{dfTr}{
dataframe with last column for the output. The output must be a factor.
}
  \item{dfTe}{
dataframe for test data. Must have columns corresponding to the training columns except
the test output is not needed.
}
  \item{method}{
One of the automatic methods for selecting k, the number of nearest neighbours. The default
is LOOCV.
}
}

\value{
tba. Not fully implemented yet.
}

\author{
A. I. McLeod
}

\examples{
args(yh_kNN)
}

\keyword{ models }
\keyword{ classif }

